#include <iostream>
#include <math.h>
/*
typedef struct{

    int x, y;

} Koordinate;
*/
void swap(int *xp, int *yp)
{
    int temp = *xp;
    *xp = *yp;
    *yp = temp;
}

int main()
{
    int n, Br = 0;
    std::cin >> n;
    //Koordinate t[n];
    int xmat[n][2];
    if (n<4){
        std::cout << 0;
        return 0;
    }
    for (int i = 0; i<n; i++){
        for (int j = 0; j<2; j++){
            std::cin >> xmat[i][j];
        }
    }

    for (int i = 0; i<n-1; i++)
        for (int j=i+1; j<n;j++)
            if (xmat[i][1]>xmat[j][1]){
                swap(&xmat[i][1], &xmat[j][1]);
                swap(&xmat[i][0], &xmat[j][0]);
        }

    int ras1, ras2;
    /*//y
    for(int i = 0; i<n-3; i++){

        if(mat[i][1]==mat[i+1][1]){
            for (int j=i+2; j<n-1; j++){
                if (mat[j][1]==mat[j+1][1]){
                    if (mat[i][0]>mat[i+1][0])
                        ras1 = abs(mat[i][0]-mat[i+1][0]);
                    else
                        ras1 = abs(mat[i+1][0]-mat[i][0]);
                    if (mat[j][0]>mat[j+1][0])
                        ras2 = abs(mat[j][0]-mat[j+1][0]);
                    else
                        ras2 = abs(mat[j+1][0]-mat[j][0]);
                    if ((ras1*2 == ras2) || (ras2*2 == ras1)){
                        Br++;
                    }
                }}

        }

    }*/
    //x
    /*
5
-1 -1
-1 2
0 2
0 0
2 0
    */
    for(int i = 0; i<n-3; i++){
        for (int k = i+1; k<n; k++)
            if(xmat[i][1]==xmat[k][1]){
                for (int j=i+1; j<n; j++)
                    for (int l = j+1; l<n; l++)
                        if (xmat[j][1]==xmat[l][1]){
                            if (xmat[i][0]>xmat[k][0])
                                ras1 = abs(xmat[i][0]-xmat[k][0]);
                            else
                                ras1 = abs(xmat[k][0]-xmat[i][0]);
                            if (xmat[j][0]>xmat[l][0])
                                ras2 = abs(xmat[j][0]-xmat[l][0]);
                            else
                                ras2 = abs(xmat[l][0]-xmat[j][0]);
                            if ((ras1*2 == ras2) || (ras2*2 == ras1)){
                                Br++;
                    }
                }

        }

    }
    // dijagonalno
    for (int i = 0; i<n-3; i++){
        int xKat, yKat, xKat1, yKat1;
        if (xmat[i][0]>xmat[i+1][0])
            xKat = abs(xmat[i][0]-xmat[i+1][0]);
        else
            xKat = abs(xmat[i+1][0]-xmat[i][0]);
        if (xmat[i][1]>xmat[i+1][1])
            yKat = abs(xmat[i][1]-xmat[i+1][1]);
        else
            yKat = abs(xmat[i+1][1]-xmat[i][1]);
        std::cout << "\nxKat: " << xKat << "\nyKat: " << yKat;
        for(int j = i+2; j<n-1;j++){
            xKat1 = abs(xmat[j+1][0]-xmat[i+2][0]);
        if ((xKat*2==xKat1) || (xKat1*2==xKat)){
            if (xmat[i+2][1]>xmat[j+1][1])
                yKat1 = abs(xmat[i+2][1]-xmat[j+1][1]);
            else
                yKat1 = abs(xmat[j+1][1]-xmat[i+2][1]);
            std::cout << "\nxKat1: " << xKat1 << "\nyKat1: " << yKat1;
            if (((yKat*2==yKat1)||(yKat1*2==yKat))){
                    Br++;
            std::cout << "\n " << "Upadam na " << i << "\n";
            }

        }


        }


    }
    std::cout << "\n\n";
    for (int i = 0; i<n; i++){
        for (int j = 0; j<2; j++)
            std::cout << xmat[i][j] << " ";
    std::cout << "\n";}

    std::cout << Br;

    return 0;
}